#ifndef IPCPACKET_H
#define IPCPACKET_H

#include <string.h>
#include <stdio.h>

class IPCPacket
{
public:
    IPCPacket();
    ~IPCPacket();

    virtual void readResult(unsigned long readed);
    virtual unsigned char* readBuffer();
    virtual unsigned long readNeeded();

    virtual unsigned char* readBuffer(unsigned long datagramm_size);
    virtual bool IsValid();

    static IPCPacket* Create(unsigned long type, char* sender, unsigned char* data, unsigned long data_len);
    virtual IPCPacket* wrapCreate(unsigned long type, char* sender, unsigned char* data, unsigned long data_len);
    virtual unsigned char* getBuffer();
    virtual unsigned long getSize();
    virtual unsigned long getType();
    virtual char* getSender();
    virtual unsigned char* getData();
    virtual unsigned long getDataLen();

private:
    enum buffer_offset
    {
        SIZE_FIELD_SERVICE_BYTE = 1,
        SIZE_FIELD_LENGTH = sizeof(unsigned long),
        SIZE_FIELD_TYPE = sizeof(unsigned long),
        OFFSET_FIELD_LENGTH = SIZE_FIELD_SERVICE_BYTE,
        OFFSET_FIELD_TYPE = OFFSET_FIELD_LENGTH + SIZE_FIELD_LENGTH,
        SENDER_OFFSET = OFFSET_FIELD_TYPE + SIZE_FIELD_TYPE
    };
private:
    unsigned char* m_buffer;
    unsigned long m_size;
    unsigned char *m_size_buf;
    unsigned long m_needed;
private:
    static const int SERVICE_BYTE = 0x7E;
};

#endif // IPCPACKET_H
