//! \file lconfig.h Описание класса работы с конфигурацией
#ifndef LCONFIG_H
#define LCONFIG_H

#include <string>
#include <libconfig.h++>

#define ERR_STRING "Error string"

using namespace libconfig;

using namespace std;
//! Класс работы с конфигурацией
class Lconfig
{
public:
	Lconfig();
	Lconfig(string p);
	~Lconfig();

	int readConfig();
	int writeConfig();

	string readString(string param);
	int writeString(string param, string value);

	int readInt(string param);
	int writeInt(string param, int value);

	long long readLongInt(string param);
	int writeLongInt(string param, long long value);

	bool readIntLookup(string param, int &value);

private:
	string path;			//Путь к конфигу
	Config conf;
};
#endif //LCONFIG_H
