//! \file ipc_interface.h Определение констант типов сообщений, обрабатываемых PSyncConfig
#ifndef PSYNCCONFIG_IPC_INTERFACE_H
#define PSYNCCONFIG_IPC_INTERFACE_H

#include <sync_global.h>

//Адрес для локального сокета, использующегося программой
#ifndef GLOBAL_SERVICE_IPC_DIR
        #define PSYNCCONFIG_IPC_NAME "psyncconfig"  //!< Имя приложения
#else
        #define PSYNCCONFIG_IPC_NAME GLOBAL_SERVICE_IPC_DIR.append("psyncconfig").c_str()   //!< Путь сокета приложения
#endif

#define PSYNCCONFIG_SYNC_START		300     //!< Сообщение модулю настройки о начале синхронизации
#define PSYNCCONFIG_SYNC_STOP		301     //!< Сообщение модулю настройки о завершении синхронизации
#define PSYNCCONFIG_ACCOUNT_VALID	400     //!< Сообщение модулю настройки о корректности введенного логина и пароля
#define PSYNCCONFIG_ACCOUNT_INVALID	401     //!< Сообщение модулю настройки о некорректности введенного логина и пароля
#define PSYNCCONFIG_ACCOUNT_ERROR	402     //!< Сообщение модулю настройки об ошибке соединения с сервером
#define PSYNCCONFIG_ACTIVATE_WINDOW	500     //!< Сообщение модулю настройки о запуске копии приложения настройки
#define PSYNCCONFIG_ALL_OBJECTS_LIST	600     //!< Не используется

#endif // PSYNCPNTIFY_IPC_INTERFACE_H
