//! \file ipc_interface.h Определение констант типов сообщений, обрабатываемых psyncd
#ifndef PSYNCD_IPC_INTERFACE_H
#define PSYNCD_IPC_INTERFACE_H

#include <sync_global.h>

//Адрес для локального сокета, использующегося программой
#ifndef GLOBAL_SERVICE_IPC_DIR
	#define PSYNCD_IPC_NAME "psyncd"	//!< Имя приложения
#else
	#define PSYNCD_IPC_NAME GLOBAL_SERVICE_IPC_DIR.append("psyncd").c_str() //!< Путь сокета приложения
#endif

//Типы сообщений
#define PSYNCD_SYNCRONIZATION_STATUS 2         //!< Сообщение, посылаемое модулю синхронизации о необходимости начала(завершения) синхронизации
#define PSYNCD_GET_SYNC_STATUS 5		//!<Получение статуса синхронизации
#define PSYNCD_REQUEST_LOGIN_AND_PASSWORD 6    //!< Запрос модулю синхронизации о необходимости проверки логина и пароля
#define PSYNCD_ACCOUNT_VALID 7                 //!<Ответ от модуля синхронизации о валидности логина и пароля
#define PSYNCD_PASSWORD_CHANGED 8              //!<Извещение от модуля синхронизации о смене пароля пользователя
#define PSYNCD_SETTINGS_CHANGED 9              //!<Извещение от модуля синхронизации о смене настроек

#define PSYNCD_ADD_TO_SYNC_COMMAND 10		//!<Добавление в синхронизацию
#define PSYNCD_REMOVE_TO_SYNC_COMMAND 11	//!<Удаление из синхронизации
#define PSYNCD_GET_FILES_FROM_FOLDER_COMMAND 12	//!<Исходящая команда получения папки синхронизации
#define PSYNCD_GET_ALL_FILES_COMMAND 14		//!<Получить все синхронизируемые файлы
#define PSYNCD_CONFLICT 15			//!<Ответ на запрос о конфликте
#define PSYNCD_CONFLICT_SAVE_FILE 16            //!<Присылается, если пользователь выбрал путь сохранения
#define PSYNCD_FILEDIALOG 17                   //!<Пользователь начал ыбирать путь сохранения файла

//Команды
#define PSYNCD_SYNC_START 100    //!<Команда модулю синхронизации о запуске синхронизации
#define PSYNCD_SYNC_STOP 101      //!<Команда модулю синхронизации об останове синхронизации

//Ответы
#define PSYNCD_ANS_SYNC_STATUS_ONLINE	800	//!< Ответ о работе синхронизации
#define PSYNCD_ANS_SYNC_STATUS_OFFLINE	801	//!< Ответ при невыполняющейся синхронизации
#define PSYNCD_OBJECTS_LIST		900	//!< Ответ со списком объектов

#endif // PSYNCD_IPC_INTERFACE_H
