//! \file ipc_interface.h Определение констант типов сообщений, обрабатываемых PSyncNotify
#ifndef PSYNCNOTIFY_IPC_INTERFACE_H
#define PSYNCNOTIFY_IPC_INTERFACE_H

#include <sync_global.h>

//Адрес для локального сокета, использующегося программой
#ifndef GLOBAL_SERVICE_IPC_DIR
        #define PSYNCNOTIFY_IPC_NAME "psyncnotify"  //!< Имя приложения
#else
        #define PSYNCNOTIFY_IPC_NAME GLOBAL_SERVICE_IPC_DIR.append("psyncnotify").c_str()   //!< Путь сокета приложения
#endif

#define PSYNCNOTIFY_NOTIFICATION_MESSAGE	1           //!< Обычное уведомление, пришедшее от модуля синхронизации
#define PSYNCNOTIFY_FILERECV_PROGRESS		2           //!< Уведомление о том, что файл находится с состоянии приема
#define PSYNCNOTIFY_FILERECV_COMPLETED		3           //!< Уведомление о том, что файл успешно принят
#define PSYNCNOTIFY_FILERECV_ERROR		4           //!< Уведомление о том, что возникла ошибка при приеме файла
#define PSYNCNOTIFY_FILESEND_PROGRESS		5           //!< Уведомление о том, что файл находится с состоянии отправки
#define PSYNCNOTIFY_FILESEND_COMPLETED		6           //!< Уведомление о том, что файл успешно отправлен
#define PSYNCNOTIFY_FILESEND_ERROR		7           //!< Уведомление о том, что возникла ошибка при отправке файла
#define PSYNCNOTIFY_FILERECV_NOSPACE		8           //!< Уведомление о том, что файл не может бытьпринят из-за нехватки места на диске
#define PSYNCNOTIFY_HTTP_ERROR			9           //!< Уведомление о возникновении HTTP ошибки
#define PSYNCNOTIFY_CONFLICT                    10          //!< Уведомление о конфликте
#define PSYNCNOTIFY_CONFLICT_SAVE_FILE          11

#define PSYNCNOTIFY_SHOW_TRAY_ICON		100         //!< Сообщение - отображать иконку в системном трее
#define PSYNCNOTIFY_HIDE_TRAY_ICON		101         //!< Сообщение - скрывать иконку в системном трее
#define PSYNCNOTIFY_SHOW_NOTIFY_START_END       110         //!< Сообщение - показывать уведомление о начале/завершении синхронизации
#define PSYNCNOTIFY_HIDE_NOTIFY_START_END       111         //!< Сообщение - скрывать уведомление о начале/завершении синхронизации
#define PSYNCNOTIFY_SHOW_NOTIFY_FILE            120         //!< Сообщение - показывать уведомления о синхронизации файлов
#define PSYNCNOTIFY_HIDE_NOTIFY_FILE            121         //!< Сообщение - скрывать уведомления о синхронизации файлов
#define PSYNCNOTIFY_SYNC_ENABLED		200         //!< Сообщение - синхронизация включена
#define PSYNCNOTIFY_SYNC_DISABLED		201         //!< Сообщение - синхронизация выключена
#define PSYNCNOTIFY_SYNC_START			300         //!< Сообщение - процесс синхронизации файлов запущен
#define PSYNCNOTIFY_SYNC_STOP			301         //!< Сообщение - процесс синхронизации файлов остановлен
#define PSYNCNOTIFY_USER_STOP			302         //!< Сообщение - процесс синхронизации файлов остановлен пользователем
#define PSYNCNOTIFY_FILEDIALOG                  350
#define PSYNCNOTIFY_FILEDIALOG_STATE            351

#endif // PSYNCNOTIFY_IPC_INTERFACE_H
