#ifndef UNIXSOCKET_H
#define UNIXSOCKET_H

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <unistd.h>
#include <stdio.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/errno.h>

class UnixSocket
{    
public:
    UnixSocket();

    virtual bool init();
    virtual bool bind(const char *addr_str);
    virtual int readDatagram(char *buf, int len);
    virtual int writeDatagram(const char* buf, int len, const char *clnt_addr_str);
    static int send(const char* buf, int len, const char *clnt_addr_str);
    virtual int wrapsend(const char* buf, int len, const char *clnt_addr_str);
    virtual void finish();
    virtual int getSockfd();
    virtual int bytesAvailable();

private:
    struct sockaddr_un m_serv_addr;
    int m_saddrlen;
    int sockfd;
};

#endif // UNIXSOCKET_H
